Bug 214045 - crash when alacarte is not installed
crash when alacarte is not installed
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnome-panel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-11-04 21:53 EST by Matthias Clasen
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-22 11:24:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2006-11-04 21:53:53 EST
Trying to edit the panel menus when alacarte is not installed leads to a crash,
see http://bugzilla.gnome.org/show_bug.cgi?id=354637

This crash has been fixed in gnome-panel 2.16.1. I recommend that we upgrade to
this version in RHEL5. The only other change that it contains is a fix for a
problem with incomplete lockdown, which is also a good fix to have in RHEL5.
Comment 1 RHEL Product and Program Management 2006-11-04 22:05:46 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 2 Matthias Clasen 2006-11-06 12:28:09 EST
built gnome-panel-2.16.1-1.el5, r-e mail sent
Comment 3 Nicole Dai 2006-11-09 04:04:53 EST
As I did not find **in gnome-panel, choose "Edit menus"** in our systems. So
retest the bug with gnome-panel-2.16.0-7.el5 on RHEL5-Client-20061108.nightly
Workstation with the following steps:
1. Click System menu ->Preferences->Menu Layout, as alacarte was installed, so
Menu Layout window poped up.
2. Remove alacarte from the system, click System menu ->Preferences and find the
Menu Layout has been removed too.
Is there any problem during my testing steps? Appreciate if anybody will give us
some suggestion on it. Thanks.
Comment 4 Jay Turner 2006-11-22 11:22:54 EST
gnome-panel-2.16.1-4.el5.i386 makes things all happy and is included in the
latest RHEL5 builds.

Note You need to log in before you can comment on or make changes to this bug.